import iio
from infer import InferenceHelper
import torch
import matplotlib.pyplot as plt

import os
import sys
# Cache model in the currect folder
os.environ['TORCH_HOME'] = './'

infer_helper = InferenceHelper(dataset='nyu', path=sys.argv[1])

# predict depth of a single pillow image
img = iio.read(sys.argv[2])/255.  # any rgb pillow image
img = torch.tensor(img).permute(2,0,1).unsqueeze(0)
bin_centers, predicted_depth = infer_helper.predict(img)
iio.write(sys.argv[3]+".tif", predicted_depth[0,0,...])

plt.imsave(sys.argv[3]+'.png', -predicted_depth[0][0], cmap='inferno')
